package sun.java2d.cmm;

import java.awt.image.WritableRaster;
import java.awt.image.Raster;
import java.awt.image.BufferedImage;

public interface ColorTransform
{
    public static final int Any = -1;
    public static final int In = 1;
    public static final int Out = 2;
    public static final int Gamut = 3;
    public static final int Simulation = 4;
    
    public abstract int getNumInComponents();
    
    public abstract int getNumOutComponents();
    
    public abstract void colorConvert(BufferedImage p0, BufferedImage p1);
    
    public abstract void colorConvert(Raster p0, WritableRaster p1, float[] p2, float[] p3, float[] p4, float[] p5);
    
    public abstract void colorConvert(Raster p0, WritableRaster p1);
    
    public abstract short[] colorConvert(short[] p0, short[] p1);
    
    public abstract byte[] colorConvert(byte[] p0, byte[] p1);
}
